Last Comment Bug 707733 - Intermittent REFTEST TEST-UNEXPECTED-FAIL | layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
: Intermittent REFTEST TEST-UNEXPECTED-FAIL | layout/reftests/svg/smil/containe...
Status: RESOLVED FIXED
: intermittent-failure
Product: Core
Classification: Components
Component: SVG (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla16
Assigned To: Brian Birtles (:birtles)
:
Mentors:
Depends on:
Blocks: 438871
  Show dependency treegraph
 
Reported: 2011-12-05 10:02 PST by Matt Brubeck (:mbrubeck)
Modified: 2012-11-25 19:31 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
reftest log (16.12 KB, text/plain)
2011-12-07 17:36 PST, Daniel Holbert [:dholbert]
no flags Details
Proposed fix v1a (3.72 KB, patch)
2012-07-10 15:54 PDT, Brian Birtles (:birtles)
dholbert: review+
lukasblakk+bugs: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Matt Brubeck (:mbrubeck) 2011-12-05 10:02:04 PST
In image 1, the blue square is slightly left of center.  In image 2 it is slightly right of center.

https://tbpl.mozilla.org/php/getParsedLog.php?id=7751085&tree=Mozilla-Inbound
REFTEST INFO | Loading a blank page
REFTEST TEST-START | http://10.250.48.211:30088/tests/layout/reftests/svg/smil/container/moved-tree-1.xhtml | 955 / 2398 (39%)
REFTEST TEST-START | http://10.250.48.211:30088/tests/layout/reftests/svg/smil/container/moved-tree-1-ref.xhtml | 955 / 2398 (39%)
REFTEST TEST-KNOWN-FAIL(EXPECTED RANDOM) | http://10.250.48.211:30088/tests/layout/reftests/svg/smil/container/moved-tree-1.xhtml | image comparison (==) 
REFTEST INFO | Loading a blank page
REFTEST TEST-START | http://10.250.48.211:30088/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | 956 / 2398 (39%)
REFTEST TEST-START | http://10.250.48.211:30088/tests/layout/reftests/svg/smil/container/deferred-anim-1-ref.xhtml | 956 / 2398 (39%)
REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.211:30088/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==) 
REFTEST   IMAGE 1 (TEST): [...]before 385024, after 385024, break 057ff000
before 385024, after 385024, break 057ff000
before 385024, after 385024, break 057ff000
before 385024, after 385024, break 057ff000
before 385024, after 385024, break 057ff000
before 385024, after 385024, break 057ff000
before 385024, after 385024, break 057ff000
before 385024, after 385024, break 057ff000
before 385024, after 385024, break 057ff000
before 385024, after 385024, break 057ff000
before 385024, after 385024, break 057ff000
before 385024, after 385024, break 057ff000
before 385024, after 385024, break 057ff000
before 385024, after 385024, break 057ff000
before 385024, after 385024, break 057ff000
before 385024, after 385024, break 057ff000
before 385024, after 385024, break 057ff000
before 385024, after 385024, break 057ff000
before 385024, after 385024, break 057ff000
before 385024, after 385024, break 057ff000
before 385024, after 385024, break 057ff000
before 385024, after 385024, break 057ff000
before 385024, after 385024, break 057ff000
before 385024, after 385024, break 057ff000
before 385024, after 385024, break 057ff000
before 385024, after 385024, break 057ff000
[...]
REFTEST   IMAGE 2 (REFERENCE): [...]
REFTEST number of differing pixels: 3188
REFTEST INFO | Saved log: START http://10.250.48.211:30088/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml
REFTEST INFO | Saved log: [CONTENT] OnDocumentLoad triggering WaitForTestEnd
REFTEST INFO | Saved log: [CONTENT] WaitForTestEnd: Adding listeners
REFTEST INFO | Saved log: Initializing canvas snapshot
REFTEST INFO | Saved log: DoDrawWindow 0,0,800,1000
REFTEST INFO | Saved log: [CONTENT] MakeProgress: STATE_WAITING_TO_FIRE_INVALIDATE_EVENT
REFTEST INFO | Saved log: [CONTENT] MakeProgress: waiting for MozAfterPaint
REFTEST INFO | Saved log: [CONTENT] AfterPaintListener in http://10.250.48.211:30088/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml
REFTEST INFO | Saved log: Updating canvas for invalidation
REFTEST INFO | Saved log: DoDrawWindow 0,0,800,1000
REFTEST INFO | Saved log: [CONTENT] AttrModifiedListener fired
REFTEST INFO | Saved log: [CONTENT] AfterPaintListener in http://10.250.48.211:30088/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml
REFTEST INFO | Saved log: Updating canvas for invalidation
REFTEST INFO | Saved log: DoDrawWindow 34,87,69,42
REFTEST INFO | Saved log: [CONTENT] MakeProgress: STATE_WAITING_TO_FIRE_INVALIDATE_EVENT
REFTEST INFO | Saved log: [CONTENT] MakeProgress: dispatching MozReftestInvalidate
REFTEST INFO | Saved log: [CONTENT] MakeProgress: STATE_WAITING_FOR_REFTEST_WAIT_REMOVAL
REFTEST INFO | Saved log: [CONTENT] MakeProgress: STATE_WAITING_TO_FINISH
REFTEST INFO | Saved log: [CONTENT] MakeProgress: Completed
REFTEST INFO | Saved log: [CONTENT] MakeProgress: STATE_COMPLETED
REFTEST INFO | Saved log: [CONTENT] MakeProgress: STATE_COMPLETED
REFTEST INFO | Saved log: [CONTENT] RecordResult fired
REFTEST INFO | Saved log: RecordResult fired
REFTEST INFO | Saved log: START http://10.250.48.211:30088/tests/layout/reftests/svg/smil/container/deferred-anim-1-ref.xhtml
REFTEST INFO | Saved log: [CONTENT] OnDocumentLoad triggering AfterOnLoadScripts
REFTEST INFO | Saved log: Initializing canvas snapshot
REFTEST INFO | Saved log: DoDrawWindow 0,0,800,1000
REFTEST INFO | Saved log: [CONTENT] RecordResult fired
REFTEST INFO | Saved log: RecordResult fired
REFTEST INFO | Loading a blank page
REFTEST TEST-START | http://10.250.48.211:30088/tests/layout/reftests/svg/smil/container/deferred-tree-1.xhtml | 957 / 2398 (39%)
REFTEST TEST-START | http://10.250.48.211:30088/tests/layout/reftests/svg/smil/container/deferred-tree-1-ref.xhtml | 957 / 2398 (39%)
REFTEST TEST-PASS | http://10.250.48.211:30088/tests/layout/reftests/svg/smil/container/deferred-tree-1.xhtml | image comparison (==) 
REFTEST INFO | Loading a blank page
Comment 1 Daniel Holbert [:dholbert] 2011-12-07 17:36:30 PST
Created attachment 579911 [details]
reftest log
Comment 2 Treeherder Robot 2012-01-11 16:29:43 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=8490925&tree=Mozilla-Inbound
Android XUL Tegra 250 mozilla-inbound opt test reftest-3 on 2012-01-11 14:24:45

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.224:30235/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 3 Treeherder Robot 2012-02-03 09:11:01 PST
jfkthame%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=9066313&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test reftest on 2012-02-03 08:00:45

REFTEST TEST-UNEXPECTED-FAIL | file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/text-overflow/selection.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 4 Jonathan Kew (:jfkthame) 2012-02-03 09:12:46 PST
Removing "Android" from the summary, as this happened on WinXP as well (see comment 3) - I'm assuming it's really the same issue.
Comment 5 Treeherder Robot 2012-06-01 10:25:14 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12278906&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test reftest-3 on 2012-06-01 08:55:24
slave: tegra-164

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.218:30164/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 6 Treeherder Robot 2012-06-02 09:24:38 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12309928&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test reftest-3 on 2012-06-02 07:34:19
slave: tegra-080

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.211:30080/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
PROCESS-CRASH | automation.py | application crashed (minidump found)
Thread 4 (crashed)
Comment 7 Treeherder Robot 2012-06-02 21:51:18 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12323486&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test reftest-3 on 2012-06-02 20:37:28
slave: tegra-257

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.226:30257/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 8 Treeherder Robot 2012-06-03 10:53:11 PDT
mats
https://tbpl.mozilla.org/php/getParsedLog.php?id=12333879&tree=Firefox
Android Tegra 250 mozilla-central opt test reftest-3 on 2012-06-03 09:19:43
slave: tegra-231

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.221:30231/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 9 Treeherder Robot 2012-06-04 11:03:54 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12358895&tree=Firefox
Android Tegra 250 mozilla-central opt test reftest-3 on 2012-06-04 09:47:51
slave: tegra-050

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.202:30050/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 10 Treeherder Robot 2012-06-05 23:52:16 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12407860&tree=Firefox
Android Tegra 250 mozilla-central opt test reftest-3 on 2012-06-05 22:37:40
slave: tegra-081

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.211:30081/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 11 Treeherder Robot 2012-06-06 03:04:43 PDT
mounir
https://tbpl.mozilla.org/php/getParsedLog.php?id=12412075&tree=Try
Android Tegra 250 try opt test reftest-3 on 2012-06-06 01:45:43
slave: tegra-098

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.212:30098/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 12 Treeherder Robot 2012-06-06 10:36:57 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12424205&tree=Ionmonkey
Android Tegra 250 ionmonkey opt test reftest-3 on 2012-06-06 09:25:12
slave: tegra-101

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.212:30101/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 13 Treeherder Robot 2012-06-06 22:14:39 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12442511&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test reftest-3 on 2012-06-06 20:58:50
slave: tegra-138

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.217:30138/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 14 Treeherder Robot 2012-06-07 00:34:13 PDT
Aryeh Gregor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12428606&tree=Try
Android Tegra 250 try opt test reftest-3 on 2012-06-06 11:43:40
slave: tegra-237

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.224:30237/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 15 Treeherder Robot 2012-06-07 10:39:16 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=12456394&tree=Fx-Team
Android Tegra 250 fx-team opt test reftest-3 on 2012-06-07 08:38:19
slave: tegra-087

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.211:30087/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 16 Treeherder Robot 2012-06-07 18:43:50 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12471557&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test reftest-3 on 2012-06-07 17:24:59
slave: tegra-095

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.212:30095/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 17 Treeherder Robot 2012-06-07 20:39:11 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12474822&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test reftest-3 on 2012-06-07 19:15:13
slave: tegra-183

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.219:30183/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 18 Treeherder Robot 2012-06-09 03:18:28 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=12511002&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test reftest-3 on 2012-06-08 23:54:12
slave: tegra-063

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.201:30063/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 19 Treeherder Robot 2012-06-09 16:48:11 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=12523390&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test reftest-3 on 2012-06-09 16:02:26
slave: tegra-047

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.202:30047/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 20 Treeherder Robot 2012-06-10 02:54:43 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=12523206&tree=Profiling
Android Tegra 250 profiling opt test reftest-3 on 2012-06-09 15:01:51
slave: tegra-244

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.224:30244/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 21 Treeherder Robot 2012-06-10 02:55:24 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=12515188&tree=Profiling
Android Tegra 250 profiling opt test reftest-3 on 2012-06-09 04:42:57
slave: tegra-212

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.220:30212/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 22 Treeherder Robot 2012-06-10 21:28:14 PDT
capella
https://tbpl.mozilla.org/php/getParsedLog.php?id=12542564&tree=Try
Android Tegra 250 try opt test reftest-3 on 2012-06-10 20:04:13
slave: tegra-136

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.217:30136/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 23 Treeherder Robot 2012-06-11 05:00:03 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=12527764&tree=Profiling
Android Tegra 250 profiling opt test reftest-3 on 2012-06-10 03:51:14
slave: tegra-254

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.226:30254/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 24 Treeherder Robot 2012-06-11 06:02:36 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=12516172&tree=Fx-Team
Android Tegra 250 fx-team opt test reftest-3 on 2012-06-09 05:42:23
slave: tegra-281

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.232:30281/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.232:30281/tests/layout/reftests/svg/smil/container/deferred-tree-1.xhtml | image comparison (==)
Comment 25 Treeherder Robot 2012-06-11 19:47:12 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12570500&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test reftest-3 on 2012-06-11 18:22:06
slave: tegra-257

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.226:30257/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 26 Treeherder Robot 2012-06-12 04:14:57 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=12583193&tree=Firefox
Android Tegra 250 mozilla-central opt test reftest-3 on 2012-06-12 03:25:58
slave: tegra-060

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.201:30060/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 27 Treeherder Robot 2012-06-12 09:21:15 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=12591924&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test reftest-3 on 2012-06-12 08:13:33
slave: tegra-072

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.210:30072/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 28 Treeherder Robot 2012-06-12 21:00:25 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12608856&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test reftest-3 on 2012-06-12 18:53:38
slave: tegra-133

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.217:30133/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 29 Treeherder Robot 2012-06-13 08:33:08 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=12624401&tree=Firefox
Android Tegra 250 mozilla-central opt test reftest-3 on 2012-06-13 06:35:03
slave: tegra-283

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.232:30283/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 30 Treeherder Robot 2012-06-14 07:01:13 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=12659844&tree=Profiling
Android Tegra 250 profiling opt test reftest-3 on 2012-06-14 05:32:06
slave: tegra-165

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.218:30165/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.218:30165/tests/layout/reftests/svg/smil/container/deferred-tree-1.xhtml | image comparison (==)
Comment 31 Treeherder Robot 2012-06-14 10:34:30 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=12666154&tree=Firefox
Android Tegra 250 mozilla-central opt test reftest-3 on 2012-06-14 08:56:43
slave: tegra-072

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.210:30072/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 32 Treeherder Robot 2012-06-14 10:34:33 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12666154&tree=Firefox
Android Tegra 250 mozilla-central opt test reftest-3 on 2012-06-14 08:56:43
slave: tegra-072

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.210:30072/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 33 Treeherder Robot 2012-06-15 07:20:26 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=12695334&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test reftest-3 on 2012-06-15 04:30:12
slave: tegra-210

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.220:30210/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 34 Treeherder Robot 2012-06-16 01:44:10 PDT
msucan
https://tbpl.mozilla.org/php/getParsedLog.php?id=12720755&tree=Fx-Team
Android Tegra 250 fx-team opt test reftest-3 on 2012-06-15 20:33:14
slave: tegra-109

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.213:30109/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 35 Treeherder Robot 2012-06-17 06:50:29 PDT
Aryeh Gregor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12742606&tree=Try
Android Tegra 250 try opt test reftest-3 on 2012-06-17 04:40:16
slave: tegra-256

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.226:30256/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 36 Treeherder Robot 2012-06-17 23:21:26 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12742799&tree=Ionmonkey
Android Tegra 250 ionmonkey opt test reftest-3 on 2012-06-17 04:57:26
slave: tegra-118

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.214:30118/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 37 Treeherder Robot 2012-06-18 21:04:57 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12776535&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test reftest-3 on 2012-06-18 19:48:26
slave: tegra-166

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.218:30166/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 38 Treeherder Robot 2012-06-19 15:30:11 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=12804323&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test reftest-3 on 2012-06-19 14:02:45
slave: tegra-166

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.218:30166/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 39 Treeherder Robot 2012-06-19 15:30:30 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12804323&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test reftest-3 on 2012-06-19 14:02:45
slave: tegra-166

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.218:30166/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 40 Treeherder Robot 2012-06-20 05:07:25 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=12823695&tree=Fx-Team
Android Tegra 250 fx-team opt test reftest-3 on 2012-06-20 03:22:52
slave: tegra-259

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.226:30259/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 41 Treeherder Robot 2012-06-21 10:44:06 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12870085&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test reftest-3 on 2012-06-21 09:17:01
slave: tegra-258

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.226:30258/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 42 Treeherder Robot 2012-06-21 17:19:38 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12880839&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test reftest-3 on 2012-06-21 16:31:55
slave: tegra-233

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.221:30233/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 43 Treeherder Robot 2012-06-22 16:06:43 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=12914206&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test reftest-3 on 2012-06-22 15:16:23
slave: tegra-116

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.213:30116/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 44 Treeherder Robot 2012-06-23 06:24:50 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=12932393&tree=Firefox
Android Tegra 250 mozilla-central opt test reftest-3 on 2012-06-23 05:36:13
slave: tegra-154

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.214:30154/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 45 Treeherder Robot 2012-06-23 19:10:12 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=12941902&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test reftest-3 on 2012-06-23 13:59:12
slave: tegra-054

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.201:30054/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 46 Treeherder Robot 2012-06-24 12:05:15 PDT
khuey
https://tbpl.mozilla.org/php/getParsedLog.php?id=12954803&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test reftest-3 on 2012-06-24 10:14:56
slave: tegra-206

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.220:30206/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 47 Treeherder Robot 2012-06-26 07:39:13 PDT
Aryeh Gregor
https://tbpl.mozilla.org/php/getParsedLog.php?id=13002505&tree=Try
Android Tegra 250 try opt test reftest-3 on 2012-06-26 06:16:13
slave: tegra-070

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.210:30070/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 48 Treeherder Robot 2012-06-26 20:26:11 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12991977&tree=Services-Central
Rev3 WINNT 5.1 services-central debug test reftest on 2012-06-25 21:54:37
slave: talos-r3-xp-070

REFTEST TEST-UNEXPECTED-FAIL | file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 49 Treeherder Robot 2012-06-28 21:24:29 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=13084534&tree=Fx-Team
Android Tegra 250 fx-team opt test reftest-3 on 2012-06-28 15:04:48
slave: tegra-101

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.212:30101/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 50 Treeherder Robot 2012-06-29 09:37:12 PDT
Tim Abraldes
https://tbpl.mozilla.org/php/getParsedLog.php?id=13106379&tree=Try
Rev3 WINNT 5.1 try debug test reftest on 2012-06-29 08:12:17
slave: talos-r3-xp-004

REFTEST TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 51 Treeherder Robot 2012-06-29 14:18:29 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=13113378&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test reftest-3 on 2012-06-29 13:00:52
slave: tegra-114

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.213:30114/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 52 Treeherder Robot 2012-06-30 07:00:21 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=13132644&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test reftest-3 on 2012-06-30 06:03:51
slave: tegra-163

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.218:30163/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 53 Treeherder Robot 2012-06-30 12:02:39 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=13137229&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test reftest-3 on 2012-06-30 10:47:56
slave: tegra-279

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.232:30279/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 54 Treeherder Robot 2012-07-02 13:17:26 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=13167865&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test reftest-3 on 2012-07-02 11:47:26
slave: tegra-167

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.218:30167/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 55 Treeherder Robot 2012-07-03 18:54:39 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=13211439&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test reftest-3 on 2012-07-03 17:43:13
slave: tegra-101

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.212:30101/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 56 Treeherder Robot 2012-07-05 14:36:21 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=13259701&tree=Firefox
Android Tegra 250 mozilla-central opt test reftest-3 on 2012-07-05 09:38:44
slave: tegra-064

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.208:30064/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 57 Treeherder Robot 2012-07-06 05:56:15 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=13285141&tree=Firefox
Android Tegra 250 mozilla-central opt test reftest-3 on 2012-07-06 04:43:00
slave: tegra-109

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.213:30109/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 58 Treeherder Robot 2012-07-06 17:00:24 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=13302241&tree=Ionmonkey
Android Tegra 250 ionmonkey opt test reftest-3 on 2012-07-06 15:05:18
slave: tegra-278

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.232:30278/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 59 Treeherder Robot 2012-07-06 20:35:06 PDT
:emk
https://tbpl.mozilla.org/php/getParsedLog.php?id=13307622&tree=Try
Android Tegra 250 try opt test reftest-3 on 2012-07-06 19:20:44
slave: tegra-225

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.221:30225/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 60 Treeherder Robot 2012-07-07 07:08:00 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=13314852&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test reftest-3 on 2012-07-07 04:55:20
slave: tegra-053

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.201:30053/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 61 Treeherder Robot 2012-07-08 08:31:46 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=13328898&tree=Fx-Team
Android Tegra 250 fx-team opt test reftest-3 on 2012-07-08 05:24:09
slave: tegra-263

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.231:30263/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 62 Treeherder Robot 2012-07-08 08:50:53 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=13326558&tree=Firefox
Android Tegra 250 mozilla-central opt test reftest-3 on 2012-07-07 23:27:00
slave: tegra-146

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.221:30146/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 63 Treeherder Robot 2012-07-08 21:48:50 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=13340752&tree=Firefox
Android Tegra 250 mozilla-central opt test reftest-3 on 2012-07-08 18:12:12
slave: tegra-148

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.214:30148/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 64 Treeherder Robot 2012-07-09 04:27:08 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=13343304&tree=Services-Central
Android Tegra 250 services-central opt test reftest-3 on 2012-07-08 21:50:26
slave: tegra-157

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.214:30157/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 65 Treeherder Robot 2012-07-09 05:51:58 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=13351775&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test reftest-3 on 2012-07-09 04:37:36
slave: tegra-140

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.217:30140/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 66 Treeherder Robot 2012-07-09 09:24:55 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=13356268&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test reftest-3 on 2012-07-09 08:13:41
slave: tegra-055

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.201:30055/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 67 Treeherder Robot 2012-07-09 19:49:29 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=13372732&tree=Firefox
Android Tegra 250 mozilla-central opt test reftest-3 on 2012-07-09 18:32:02
slave: tegra-074

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.210:30074/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 68 Treeherder Robot 2012-07-10 15:48:02 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=13403803&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test reftest-3 on 2012-07-10 14:59:33
slave: tegra-041

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.202:30041/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 69 Treeherder Robot 2012-07-10 15:48:48 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=13403803&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test reftest-3 on 2012-07-10 14:59:33
slave: tegra-041

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.202:30041/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 70 Brian Birtles (:birtles) 2012-07-10 15:54:34 PDT
Created attachment 640834 [details] [diff] [review]
Proposed fix v1a
Comment 71 Treeherder Robot 2012-07-10 16:24:10 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=13404157&tree=Firefox
Android Tegra 250 mozilla-central opt test reftest-3 on 2012-07-10 14:41:24
slave: tegra-095

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.212:30095/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 72 Daniel Holbert [:dholbert] 2012-07-10 17:27:09 PDT
Comment on attachment 640834 [details] [diff] [review]
Proposed fix v1a

Looks good! Just one nit:

>+          timeoutID = window.setTimeout(giveUp, 30000);
[...]
>+
>+        function giveUp() {
>+          var svg = document.getElementsByTagName('svg')[0];
>+          var rect = svg.getElementsByTagName('rect')[0];
>+          rect.setAttribute("fill", "red");
>+          finish();
>+        }
>+
>+        function finish() {
>+          if (timeoutID) {
>+            window.clearTimeout(timeoutID);
>+            timeoutID = null;
>+          }

So -- giveUp() probably wants to set timeoutID = null before it calls finish(), right?  Since there's no point in calling clearTimeout on for a timeout that's already fired?

(I imagine that's what you intended -- otherwise, there'd be no reason to null-check timeoutID in finish(), since I think it's currently always going to be set at that point.)

r=me with that fixed.  Thanks!
Comment 73 Brian Birtles (:birtles) 2012-07-10 20:24:17 PDT
Thanks Daniel, that's great.

I took the chance to fix the same bit of code in deferred-tree-1.xhtml at the same time plus a few other tweaks:
https://hg.mozilla.org/integration/mozilla-inbound/rev/f16647509237
Comment 74 Treeherder Robot 2012-07-11 01:42:26 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=13418262&tree=Firefox
Android Tegra 250 mozilla-central opt test reftest-3 on 2012-07-11 00:20:21
slave: tegra-259

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.226:30259/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 75 Treeherder Robot 2012-07-11 03:17:07 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=13412709&tree=Profiling
Android Tegra 250 profiling opt test reftest-3 on 2012-07-10 20:16:06
slave: tegra-191

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.232:30191/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 76 Treeherder Robot 2012-07-11 03:21:31 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=13419374&tree=Fx-Team
Android Tegra 250 fx-team opt test reftest-3 on 2012-07-11 01:18:50
slave: tegra-267

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.231:30267/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 77 Treeherder Robot 2012-07-11 08:18:11 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=13427013&tree=Profiling
Android Tegra 250 profiling opt test reftest-3 on 2012-07-11 06:23:44
slave: tegra-283

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.232:30283/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 78 Ed Morley [:emorley] 2012-07-11 09:31:25 PDT
https://hg.mozilla.org/mozilla-central/rev/f16647509237
Comment 79 Treeherder Robot 2012-08-12 19:31:09 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=14328958&tree=Mozilla-Beta
Android Tegra 250 mozilla-beta opt test reftest-3 on 2012-08-12 17:49:52
slave: tegra-050

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.202:30050/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 80 Treeherder Robot 2012-08-13 04:19:47 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=14303328&tree=Mozilla-Beta
Android Tegra 250 mozilla-beta opt test reftest-3 on 2012-08-10 13:00:17
slave: tegra-248

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.226:30248/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
Comment 81 Ed Morley [:emorley] 2012-08-13 04:21:13 PDT
Comment on attachment 640834 [details] [diff] [review]
Proposed fix v1a

[Approval Request Comment]
Bug caused by (feature/regressing bug #): Unknown
User impact if declined: Higher rate of [orange]
Testing completed (on m-c, etc.): m-c, aurora
Risk to taking this patch (and alternatives if risky): N/A, test-only fix.
String or UUID changes made by this patch: None
Comment 82 Treeherder Robot 2012-08-13 04:21:30 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=14302870&tree=Mozilla-Beta
Android Tegra 250 mozilla-beta opt test reftest-3 on 2012-08-10 12:34:10
slave: tegra-063

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.201:30063/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)
PROCESS-CRASH | automation.py | application crashed (minidump found)
Thread 4 (crashed)
Comment 83 Treeherder Robot 2012-08-13 08:43:39 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=14341876&tree=Mozilla-Beta
Android Tegra 250 mozilla-beta opt test reftest-3 on 2012-08-13 07:22:32
slave: tegra-038

REFTEST TEST-UNEXPECTED-FAIL | http://10.250.48.208:30038/tests/layout/reftests/svg/smil/container/deferred-anim-1.xhtml | image comparison (==)

Note You need to log in before you can comment on or make changes to this bug.